import { IGetAllRacesPresenter, GetAllRacesResultDTO, AllRacesPageViewModel } from '@core/racing/application/presenters/IGetAllRacesPresenter';

export class GetAllRacesPresenter implements IGetAllRacesPresenter {
  private result: AllRacesPageViewModel | null = null;

  reset() {
    this.result = null;
  }

  present(dto: GetAllRacesResultDTO) {
    this.result = dto;
  }

  getViewModel(): AllRacesPageViewModel | null {
    return this.result;
  }
}